## Coupling

The particular thing about annotations is, that they need the coupling
to another resource in order to be “to-the-point”. In the age of analog
resources, this coupling tended to be tight: in the margins, or as
footnotes, usually wihtin the same material container.
Where the coupling was less tight, such as in end notes,
indexes, registers as separate books or volumes, it became quickly
unwieldy to handle all relevant annotations.

In the digital age these problems of information logistics can be solved
much more elegantly and effectively, provided certain agreements are
being made by the designers of information.

It is a bit like geotagging photos by means of a recorded GPS track: if
the track points are coded with the same time codings as the photos, the
photos can be located on the track and then on the map. For annotations we need anchors:
points in sources to link to. These points should be standardized so
that different scholars, as producers of annotations, use the same
anchors. That will help to make their annotations interoperable.

For linguistic annotations, the LAF standard helps a lot to refer to
primary data in an objective way, although these anchors are still
project dependent. There are efforts to bring about a more global
persistent linking system to canonical resources, see [Canonical Text Services and the CITE architecture](cite-architecture.github.io/cts/), and
it is a matter of time before it will be applied to the Hebrew Bible as
well.

The holy grail of this all is the [Linked Open Data](http://linkeddata.org) endeavour, 
which is an attempt to map
all entities in human discourse unto unique, persistent identifiers, and code all properties
that can expressed into triples consisting of a subject, predicate and object, according to well-defined
vocabularies and ontologies.
This is a huge modelling effort, and it is not always clear how computing intensive workflows may take
advantage of it. But for importing and exporting data across boundaries of project and discipline,
this is definitely the way to go.

An advantage of well-coupled annotations is that they can be sorted and
organized on the basis of where they point to. But we need other
organizing principles as well, such as the provenance of an annotation
(researcher, project, organization), time (creation, update), motivation
(correction, evaluation), nature (linguistic, hermeneutical). Of these,
motivation and nature can be entered in free text description fields,
which in practice, sadly, quite often reveal the text “None”.