## Queries as Annotations

Now that text and linguistics reside in a database, it becomes possible
to query both kinds of data. An important objective of the creators of
the ETCBC database has always been the ability
to search for peculiar syntactic patterns. When reading
the Bible, every now and then a passage is particularly problematic and
requires explanation. But what kind of explanation? Has there been a
text transmission error? Is there a hidden borrowing from an other text?
Is there a syntactic construction that belongs to another dialect of
language? Is there deliberate use of language to achieve a literary
effect? Or is there a truly special meaning lurking behind the text?
Research into these problems is greatly helped by catalogs of
occurrences of the same or partly the same phenomenon. By using a text
database we are able to systematically query those patterns.

It is not easy to write such queries. The data is full of unexpected
patterns, it is easy to miss cases, so many checks and cross-checks are
needed. A successful query is a piece of scholarly crafts(wo)manship, and
should be shared and published as such.

Seen in an abstract way, a query is an annotation to all its results.
One annotation targeting multiple passages is already a little bit
innovative, although one might say that cross-references and indexes are
examples of multi-target annotations. But here there is a bit more going
on. By presenting a query as an annotation to its results, an unexpected
flow of information is made possible: from result to query. When a
scholar reads a difficult passage, (s)he might be interested in the
exegetical queries that have results in that passage. This is exactly
what SHEBANQ makes possible. Next to every chapter in the Bible a list
of relevant queries is presented, and the results of those queries are
highlighted in the chapter at hand. See \cite{Roorda2012a}
for an early formulation of the idea of queries-as-annotations.
