## Reflection and action

Before building SHEBANQ, we tried to design its layout and the details
of how queries should be displayed to the user. Query results are
structured objects and queries may have many structured results, and
it was not at all clear how we could provide the users
with a good visual representation of query results and how to show them
in context.

Most of this became clear after we started construction. Only fully engaging
in building the stuff made us discover one unanticipated problem after
an other, and solve them all. For example, we decided to provide on-the-fly heat
maps of query results, which give users an instant overview of how the
results of a particular query are distributed in the Bible. But we
refrained from presenting query results in their full complexity as
structured objects. We also modified our goals. Rather than make SHEBANQ into
the ultimate research tool,
we developed LAF-Fabric as an off-line side tool, with more flexibility
to tackle the nitty-gritty of daily research. SHEBANQ got redefined from
a laboratory to a showroom of research results, where very diverse
research output comes together in one context. Now SHEBANQ and LAF-Fabric
together provide the facilities of a
scholarly lab.

In our opinion, it makes no sense to reflect on the nature of
annotations without being involved in digital construction work. The
ontology of a (digital) medium is the reflection of its usage patterns.
When migrating annotations from analog to digital, we are potentially
upsetting those very usage patterns, and hence the ontology of
annotations.